## Contributor's Guide

### Goals

Our goals for the website are accuracy, clarity, and usefulness at a glance. Our audience is people interested in COVID-19, i.e. the general public. When making decisions about features, we would like to make sure they are useful for the majority of our audience, and not just for those with a technical background.

### Contribute

We’d like to be inclusive of all kinds of contributions, not just code contributions or pull requests. So [things like](https://allcontributors.org/docs/en/emoji-key) feedback, ideas, identifying issues, spotting bugs, creating tutorials, working on translations, and more. 

We aim to prioritize issues and pull requests that address (or intersect with) our [current milestones](https://github.com/aatishb/covidtrends/milestones).

We’re using the [All Contributors bot](https://allcontributors.org/docs/en/bot/usage). If you’ve contributed in any way, we encourage you to add your name to the contributor’s list by commenting on an issue or pull request with:

```
@all-contributors add @your-github-username for contribution-type 
```
where `contribution-type` is [one of these areas](https://allcontributors.org/docs/en/emoji-key).

### Move slow and fix things

Because of the fairly large number of people currently using this as a resource (and the limited resources on our side as maintainers of this project), we would like to err on the side of thoroughness and stability, rather than moving fast to introduce new features that increase the complexity of the website.

We expect to have development cycles on the order of weeks rather than days. The global community will be dealing with COVID-19 for months :worried: and we’d rather this be a reliable and trusted resource during that time. Plus, we are all working on this project part-time, and can only spend so many hours on this a week.

### When in doubt, ask first

If you are planning to make a pull request and would be disappointed or upset if it is not merged, we encourage you to first suggest your idea on an issue, and wait to hear back before proceeding.

### Open source

The codebase is open source, and we encourage anyone interested to create their own parallel branch with different data sources, features, translations, or whatever is important to you and your audience. We encourage you to fork this repository as you see fit.

### Quality over quantity

We don’t want to become a repository of many datasets, as it’s difficult for us to vouch for their accuracy and reliability. For now we’d like to limit this to a small handful of comprehensive datasets that we understand well, and that would be helpful for the majority of our users. And we’d like to make it easier for people to fork this code and adapt it for their own datasets.

### Where I’m coming from

Putting my cards on the table (@aatishb here): This is my first time co-managing an open source repository at this level of visibility. I’m an educator and not a professional web developer. This is a learning process for all of us, and I appreciate your patience and understanding as we learn together.

### Be nice

Please assume the best intentions of anyone you communicate with here. As we’re all learning, communicating while being physically distant is hard! Please read our [Code of Conduct](CODE_OF_CONDUCT.md). If you see anyone violating these norms you can reach out to us directly at [covidtrends@professormoose.com](mailto:covidtrends@professormoose.com).


Thanks all, and stay safe!
<br> @aatishb & @mustpax
