## What is this?
<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-25-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END -->

This is an [interactive graph / animation](https://aatishb.com/covidtrends/) that charts the trajectory of global COVID-19 cases.

The graph plots the number of new confirmed cases in the past week, versus the total number of confirmed cases.

When plotted in this way, exponential growth is displayed as a straight line.

Notice that most countries follow a similar straight line path, indicating that the growth rate is similar across countries. We're all in this together.

**Tips:** Press Space (or the play button) to Play/Pause. Press +/- keys (or the slider) to see daily changes. Hover over the graph for more info. Drag cursor to zoom into graph, double-click to zoom back out. Use dropdown menus to switch between Confirmed Cases ↔ Deaths, between regions, or between a logarithmic ↔ linear scale. And don't forget to wash your hands!

## Credits

This interactive pulls data on COVID-19 provided by [Johns Hopkins CSSE](https://github.com/CSSEGISandData/COVID-19) and <a href="https://github.com/nytimes/covid-19-data">NYTimes</a>. Huge thanks to them for making this invaluable data source publicly available.

Created by [Aatish Bhatia](https://aatishb.com/) in collaboration with [Henry Reich](https://www.youtube.com/user/minutephysics).

Created using [Plotly.js](https://plot.ly/javascript/) and [Vue.js](https://vuejs.org/)

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://aatishb.com"><img src="https://avatars2.githubusercontent.com/u/1878638?v=4" width="100px;" alt=""/><br /><sub><b>Aatish Bhatia</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/commits?author=aatishb" title="Code">💻</a> <a href="#maintenance-aatishb" title="Maintenance">🚧</a></td>
    <td align="center"><a href="http://www.professormoose.com"><img src="https://avatars0.githubusercontent.com/u/22178?v=4" width="100px;" alt=""/><br /><sub><b>Mustafa "Moose" Paksoy</b></sub></a><br /><a href="#maintenance-mustpax" title="Maintenance">🚧</a></td>
    <td align="center"><a href="http://www.youtube.com/minutephysics"><img src="https://static1.squarespace.com/static/57c4aa39725e25ba4eb3ace1/t/57c4aeac20099e3efb1bf1c9/1583766666685/?format=1500w" width="100px;" alt=""/><br /><sub><b>Henry Reich</b></sub></a><br /><a href="#ideas" title="Ideas, Planning, & Feedback">🤔</a></td>
    <td align="center"><a href="https://github.com/byteit101"><img src="https://avatars0.githubusercontent.com/u/577344?v=4" width="100px;" alt=""/><br /><sub><b>Patrick Plenefisch</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/commits?author=byteit101" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/edg2s"><img src="https://avatars3.githubusercontent.com/u/180672?v=4" width="100px;" alt=""/><br /><sub><b>Ed S</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/commits?author=edg2s" title="Code">💻</a> <a href="#tool-edg2s" title="Tools">🔧</a></td>
    <td align="center"><a href="https://github.com/exclipy"><img src="https://avatars1.githubusercontent.com/u/508799?v=4" width="100px;" alt=""/><br /><sub><b>exclipy</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/commits?author=exclipy" title="Code">💻</a></td>
    <td align="center"><a href="https://aufrecht.org"><img src="https://avatars3.githubusercontent.com/u/43078751?v=4" width="100px;" alt=""/><br /><sub><b>S Aufrecht</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/commits?author=saufrecht" title="Documentation">📖</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/neon-ninja"><img src="https://avatars1.githubusercontent.com/u/3378822?v=4" width="100px;" alt=""/><br /><sub><b>Nick Young</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/commits?author=neon-ninja" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/NeverFearTheasHere"><img src="https://avatars1.githubusercontent.com/u/12138621?v=4" width="100px;" alt=""/><br /><sub><b>Thea Lanherne</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/issues?q=author%3ANeverFearTheasHere" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://github.com/arjo129"><img src="https://avatars0.githubusercontent.com/u/542272?v=4" width="100px;" alt=""/><br /><sub><b>Arjo Chakravarty</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/commits?author=arjo129" title="Code">💻</a></td>
    <td align="center"><a href="https://twitter.com/lucypxu"><img src="https://pbs.twimg.com/profile_images/665771785493712896/cwYcvRLp_400x400.jpg" width="100px;" alt=""/><br /><sub><b>Lucy Xu</b></sub></a><br /><a href="#question" title="Answering Questions">💬</a></td>
    <td align="center"><a href="http://bdarfler.com"><img src="https://avatars1.githubusercontent.com/u/197776?v=4" width="100px;" alt=""/><br /><sub><b>Ben Darfler</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/commits?author=bdarfler" title="Code">💻</a></td>
    <td align="center"><a href="https://zmoazeni.github.io/gitspective/#/timeline/waldyrious"><img src="https://avatars2.githubusercontent.com/u/478237?v=4" width="100px;" alt=""/><br /><sub><b>Waldir Pimenta</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/pulls?q=is%3Apr+reviewed-by%3Awaldyrious" title="Reviewed Pull Requests">👀</a></td>
    <td align="center"><a href="https://github.com/Kojoley"><img src="https://avatars3.githubusercontent.com/u/2743474?v=4" width="100px;" alt=""/><br /><sub><b>Nikita Kniazev</b></sub></a><br /><a href="#design-Kojoley" title="Design">🎨</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://www.thisisthefoxe.me"><img src="https://avatars0.githubusercontent.com/u/18512366?v=4" width="100px;" alt=""/><br /><sub><b>Henry</b></sub></a><br /><a href="#content-thisIsTheFoxe" title="Content">🖋</a></td>
    <td align="center"><a href="https://github.com/rpkoller"><img src="https://avatars2.githubusercontent.com/u/1665422?v=4" width="100px;" alt=""/><br /><sub><b>Ralf Koller</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/commits?author=rpkoller" title="Code">💻</a> <a href="https://github.com/aatishb/covidtrends/pulls?q=is%3Apr+reviewed-by%3Arpkoller" title="Reviewed Pull Requests">👀</a> <a href="#a11y-rpkoller" title="Accessibility">️️️️♿️</a></td>
    <td align="center"><a href="http://joachimneumann.com"><img src="https://avatars1.githubusercontent.com/u/5642225?v=4" width="100px;" alt=""/><br /><sub><b>Joachim Neumann</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/issues?q=author%3Ajoachimneumann" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://www.arkarup.com/"><img src="all-contributors-photos/arkarup.jpg" width="100px;" alt=""/><br /><sub><b>Arkarup Banerjee</b></sub></a><br /><a href="#ideas" title="Ideas, Planning, & Feedback">🤔</a></td>
    <td align="center"><a href="https://blogs.cornell.edu/scslab/people/275-2/"><img src="all-contributors-photos/bybee-finley.jpg" width="100px;" alt=""/><br /><sub><b>Ann Bybee-Finley</b></sub></a><br /><a href="#ideas" title="Ideas, Planning, & Feedback">🤔</a></td>
    <td align="center"><a href="https://www.instagram.com/cartoonconnie/"><img src="all-contributors-photos/connie.jpg" width="100px;" alt=""/><br /><sub><b>Connie Sun</b></sub></a><br /><a href="#design" title="Design">🎨</a></td>
    <td align="center"><a href="https://twitter.com/roy_upasana"><img src="https://pbs.twimg.com/profile_images/798378170764394496/2i4v4w6E_400x400.jpg" width="100px;" alt=""/><br /><sub><b>Upasana Roy</b></sub></a><br /><a href="#ideas" title="Ideas, Planning, & Feedback">🤔</a> <a href="#design" title="Design">🎨</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/archiewood"><img src="https://avatars0.githubusercontent.com/u/58074498?v=4" width="100px;" alt=""/><br /><sub><b>archiewood</b></sub></a><br /><a href="#ideas-archiewood" title="Ideas, Planning, & Feedback">🤔</a></td>
    <td align="center"><a href="https://reaganc.bitbucket.io"><img src="https://avatars1.githubusercontent.com/u/14113814?v=4" width="100px;" alt=""/><br /><sub><b>Reagan Chandramohan</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/issues?q=author%3Areaganch" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://github.com/CharsiBabu"><img src="https://avatars2.githubusercontent.com/u/4214491?v=4" width="100px;" alt=""/><br /><sub><b>CharsiBabu</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/commits?author=CharsiBabu" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/MrSpiffyClean"><img src="https://avatars3.githubusercontent.com/u/63736648?v=4" width="100px;" alt=""/><br /><sub><b>Ricardo Gonçalves</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/commits?author=MrSpiffyClean" title="Code">💻</a></td>
    <td align="center"><a href="http://www.berkeleychurchill.com"><img src="https://avatars0.githubusercontent.com/u/640745?v=4" width="100px;" alt=""/><br /><sub><b>Berkeley Churchill</b></sub></a><br /><a href="https://github.com/aatishb/covidtrends/commits?author=bchurchill" title="Code">💻</a></td>
  </tr>
</table>

<!-- markdownlint-enable -->
<!-- prettier-ignore-end -->
<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!

Special thanks to Ritwick Ghosh, Nicky Case, Shekhar Bhatia, and Igor Kholopov for their very helpful feedback & suggestions!

## Participate and Contribute

If you would like to participate or contribute, please read our [Contributor's Guide](CONTRIBUTING.md) and [Code of Conduct](CODE_OF_CONDUCT.md).

## License

Code in this repository which is not otherwise licensed is licensed under the MIT License; see [LICENSE.txt](LICENSE.txt) for complete text.

This repository pulls data from [2019 Novel Coronavirus COVID-19 (2019-nCoV) Data Repository by Johns Hopkins CSSE](https://github.com/CSSEGISandData/COVID-19) and [New York Times Coronavirus (Covid-19) Data in the United States](https://github.com/nytimes/covid-19-data#license-and-attribution). Please consult these repositories for terms of use on the data.

